2019-01-16 17:29 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002246NetSurfGTK-specificpublic2015-03-10 23:41
ReporterAnthony J. Bentley 
Assigned ToVincent Sanders 
SeverityfeatureReproducibilityN/A 
StatusclosedResolutionfixed 
Product Version3.2 
Target Version3.3Fixed in Version3.3 
Summary0002246: Provide a desktop file for netsurf-gtk
DescriptionNetSurf doesn't have an XDG desktop entry file. In practice, this means that downstream packagers either:

- copy Debian's local netsurf-gtk.desktop,
- autogenerate another one, or
- provide no desktop integration.

This is probably less than ideal; it would be better to include a netsurf-gtk.desktop file in the main netsurf repository.

Debian's desktop file is attached.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000560

Vincent Sanders (administrator)

Added the desktop file from my Debian packaging to NetSurf so other OS can use it
Vincent Sanders

~0000746

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-12-16 11:19 Anthony J. Bentley New Issue
2014-12-16 11:19 Anthony J. Bentley File Added: netsurf-gtk.desktop
2014-12-25 16:14 Vincent Sanders Note Added: 0000560
2014-12-25 16:14 Vincent Sanders Assigned To => Vincent Sanders
2014-12-25 16:14 Vincent Sanders Status new => resolved
2014-12-25 16:14 Vincent Sanders Resolution open => fixed
2014-12-25 16:14 Vincent Sanders Fixed in Version => 3.3
2015-01-16 09:11 Vincent Sanders Target Version => 3.3
2015-03-10 23:41 Vincent Sanders Note Added: 0000746
2015-03-10 23:41 Vincent Sanders Status resolved => closed
+Issue History